SPIS TREŚCI

@ 1997 IVO PARTIZAN

Informacje Ogólne:

O programie...

Co potrafi ten program

Jak zacząć

Rejestracja programu

Pliki Konfiguracyjne:

Autoexec.bat

Config.sys

Msdos.sys

Win.ini

System.ini

Protocol.ini

Katalogi:

Katalogi systemowe

Katalogi własne

Skróty:

Menu Start

Pulpit

Menu Programu:

Plik

Konfiguracja

Pomoc

Jakiekolwiek sugestie lub propzycje przesyłać na adres:

Dariusz Swoboda

Oś. 30-lecia 119/20

44-286 Wodzisław Śl.


O Programie
O PROGRAMIE...

Program ten należy do kategori shareware. Wersja demonstracyjna służy  tylko i wyłącznie do zapoznania się z możliwościami tego programu. Autor zezwala na  dowolną dystrybucję tej wersji programu, jednak nie zezwala na dokonywanie jakichkolwiek zmian lub usuwania plików należącyh do tego programu.

Aby móc korzystać z programu trzeba uiścić opłatę u autora.

IvoWatch to program narzędziowy służący do szybkiego odnajdywania zmian w plikach i katalogach systemowych oraz ich usuwania.

Przy instalacji jakiegokolwiek programu istnieje duże prawdopodobieństwo iż zmodyfikuje on dla własnych celów któryś z plików konfiguracyjnych lub umieści na twardym dysku w katalogach swoje własne pliki.

Gdy stwierdzisz że dana aplikacja nie bedzie ci więcej potrzebna i zdecydujesz się na jej usunięcie, powstałe w wyniku instalacji zmiany mogą pozostać dalej.

Niepotrzebnie tracisz więc drogocenne miejsce na  swoim twardym dysku, gdyż nieusunięte pliki sa często bezużyteczne a zmiany dokonane w plikach konfiguracyjnych powiększają ich rozmiar lub odwołują sie do nieistniejących już plików.

Dzieki systematycznemu korzystaniu z programu IvoWatch możesz zaoszczędzić wiele miejsca na swym dysku i uniknąć straty czasu na ręcznym wyszukiwaniu i usuwaniu powstałych zmian.

Uwaga:

W wersji niezarejetrowanej programu IvoWatch po uaktywnieniu niektórych opcji pojawia się okno wstrzymujące na pewien czas pracę programu, aby pozbyć się tego utrudnienia należy zarejestrować program u autora.


CO POTRAFI TEN PROGRAM

Dzięki programowi IvoWatch będziesz mógł zachować informacje przechowywane w następujacych plikach:

Pliki konfiguracyjne systemu DOS:

-autoexec.bat

-config.sys

-msdos.sys

Pliki konfiguracyjne systemu WINDOWS:

-win.ini

-system.ini

-protocol.ini

Program IvoWatch zapamięta jakie pliki i podkatalogi są aktualnie przechowywane na twoim twardym dysku w natępujacych miejscach:

Katalogi systemowe:

-C:\

-PROGRAM FILES\

-WINDOWS\

-SYSTEM\

Skróty do programów:

-na PULPICIE

-w MENU START

Katalogi własne:

-do 10 dowolnie wybranych przez użytkownika katalogów

Po dokonaniu porównania zachowanych wartości ze stanem aktualnym program IvoWatch poinformuje cię o stwierdzonych zmianach oraz da ci możliwosć ich usunięcia lub pozostawienia.


JAK ZACZĄĆ

Na tej stronie zostanie wyjaśnione krok po kroku jak rozpocząć pracę i wykorzystać możliwości programu IvoWatch.

Zapamiętywanie konfiguracji:

1.Uruchom program IvoWatch.

2.Kliknij drugą  od lewej ikonę w górnym panelu lub wybierz z menu 'Plik' opcję 'Otwórz'.

3.W otwartym oknie dialogowym wybierz katalog i wpisz nazwę pliku w którym chcesz przechowywać informacje o konfiguracji a następnie kliknij przycisk 'Otwórz' lub wciśnij 'Enter'(nazwa aktualnie wykorzystywanego pliku konfiguracyjnego jest zawsze wyświetlana na górnym panelu).

4.Kliknij czwartą od lewej ikonę lub wybierz z menu 'Konfiguracja' opcję 'Zapamiętaj' w celu zapamiętania i zapisania stanu danych plików i katalogach(W górnym panelu  obok nazwy pliku konfiguracyjnego pojawi się data i godzina zapamiętania konfiguracji).

Tak zostały zapamiętane dane o twojej konfiguracji. Gdy stwierdzisz że chciałbyś uaktualnić te dane powtórz powyższe czynności pomijając punkty 2 i 3. Chyba że nowe dane chcesz przechowywać w innym pliku.

Sprawdzanie powstałych zmian:

1.Kliknij środkową ikonę lub wybierz z menu 'Konfiguracja' opcję 'Porównaj'.

2.Po dokonaniu przez program IvoWatch porównania, możesz sprawdzić jakie zmiany powstały od ostatniego porównania w dwojaki sposób:

 a)Przejdź na stronę 'Raport' i zaznacz opcję 'Wykaz zmian', wszystkie wykryte zmiany będą uwidocznione po lewej stronie.

 b)Przechodząc na odpowiednie strony(np. 'Pliki Dos', 'Skróty'), wybierz interesującą cię sekcję (np. 'Pulpit', 'Menu Start').W dolnym panelu pojawi się informacja o ilości wykrytych zmian(jeśli jakieś były) a w środkowej części pojawi się wykaz tychże zmian.

Usuwanie zbędnych zmian:

Jeśli stwierdzisz że któraś z wykrytych zmian nie jest ci potrzebna możesz ją usunąć poprzez zaznaczenie jej(kliknij na wybranej lini lub użyj przycisku 'Zaznacz wsz.' by zaznaczyć wszystkie zmiany) i kliknięciu przycisku 'Usuń'.

Uwaga:

Usuwane dane stracisz bezpowrotnie, więc dobrze

 się zastanów co usuwasz.

Dodawanie własnych katalogów do sprawdzania:

1.Kliknij piątą od lewej ikonę w górnym panelu lub wybierz z menu 'Plik' opcję 'Opcje'.

2.W oknie które się ukaże przejdź na stronę 'Katalogi własne'.

3.Kliknij przycisk z numerem pod którym chcesz umieścić katalog.

4.W nowym oknie wybierz ten katalog i kliknij na klawiszu 'Otwórz' lub wciśnij 'Enter'.

Powtarzaj czynności z punktów 3 i 4 tyle razy ile katalogów chcesz dodać.


Rejestracja
REJESTRACJA PROGRAMU

Jeśli uważasz że program ci się podoba i chciałbyś z niego korzystać, zamów pełną wersję za sumę: 20 nowych złotych.

W zamian otrzymasz:

-dyskietkę 3,5" z najnowszą  pełną wersją programu.

-możliwość uaktualnienia wersji programu na nowszą w super atrakcyjnej cenie lub po kosztach manipulacyjnych.

-bonifikatę przy zakupie innych programów.

-wdzięczność autora.

Aby zamówić pełną wersję programu:

•	Wyślij przekazem pocztowym dwadzieścia złotych na adres:

Dariusz Swoboda

Oś. 30-lecia 119/20

44-286 Wodzisław Śl.

•	Wyślij zamówienie zawierające:

-kopię dowodu wpłaty

-swój adres i nazwisko

-dopisek 'IvoWatch'

lub czytelnie wypisz te dane na odcinku przekazu 'Dla adresata'.


Autoexec.bat
PLIK AUTOEXEC.BAT

Plik Autoexec.bat, jest uruchamiany po włączeniu komputera zaraz po pliku config.sys. Składa się z komend które konfigurują twój system.

Autoexec.bat może posiadać komendy które:

-ustalają parametry systemu

-ustalają wygląd kursora

-uruchamiają programy rezydentne

-konfigurują kartę dźwiękową

-uruchamiają inne programy(np. Norton Commander)

-itp

Gdy twój autoexec.bat używa opcji wielokonfiguracyjnych(umożliwia ci dokonanie wyboru konfiguracji np.XMS,EMS), będzie on podzielony  na grupy. Grupy te są wyróżnione przez znak ':' i słowo oznaczające nazwe grupy(np.':XMS', ':WINDOWS').


Config.sys
PLIK CONFIG.SYS

Plik config.sys, jest uruchamiany  zaraz po włączeniu komputera i składa się z komend które konfigurują hardware twojego systemu.

Plik config.sys może się składać z komend które ustalają:

-gdzie powinien zostać wczytany system DOS

-jaki rodzaj pamięci ma być używany

-ile plików może być otwartych na raz

-jakiego typu urządzenia będą używane(CD-ROM,mysz itp.)

-itp

Gdy twój config.sys używa opcji wielokonfiguracyjnych(dokonuje wyboru konfiguracji w zależności od wybranej opcji w pliku autoexec.bat np.XMS,EMS), będzie on podzielony  na grupy. Grupy te są wyróżnione przez znaki '[ ]' i słowo oznaczające nazwę grupy(np.'[XMS]', '[WINDOWS]').


Msdos.sys
PLIK MSDOS.SYS

Plik msdos.sys zawiera ustawienia które są wykorzystywane przez Windows 95 przy starcie tego systemu.Decydują one o  warunkach w jakich twój system będzie startował w systemie Windows95 lub DOSie.


Win.ini
PLIK WIN.INI

Plik  win.in zawiera informacje o tym jak jest skonfigurowany system Windows. Win.ini jest wczytywany do pamięci przy starcie systemu Windows.Plik ten podzielony jest na wiele sekcji które rozróżniane są przez znaki '[ ]' oraz nazwę sekcji(np. '[Windows], '[Desktop]).

Informacje w pliku win.ini decydują o tym:

-jakie tło zostanie wyświetlone

-jakie kolory bedą wykorzystywane

-jakie fonty zostały zainstalowane

-jaka drukarka jest podłączona

-itp

Również wiele aplikacji podczas instalacji przechowuje tutaj wiele swoich informacji.Czym wiecej aplikacji instalujesz tym większy będzie rozmiar tego pliku.


System.ini
PLIK SYSTEM.INI

Plik system.ini zawiera informacje o ustawieniach hardwaru systemu Windows.System.ini jest używany podczas startu systemu Windows i decyduje o tym jakie urządzenia i ustawienia początkowe bedą wykorzystywane.

Plik ten podzielony jest na wiele sekcji które rozróżniane są przez znaki '[ ]' oraz nazwę sekcji(np. '[boot], '[keyboard]).

Plik system.ini zawiera informacje o takich urzadzeniach jak:

-drivery urzadzeń video

-drivery myszki

-typ klawiatury

-itp


Protocol.ini
PLIK PROTOCOL.INI

Plik protocol.ini przechowuje informacje konfiguracyjne dotyczące sieci, decyduje więc o ustawieniach karty sieciowej oraz interfejsie sieci.


KATALOGI SYSTEMOWE

Są to katalogi niezbędne do poprawnego działania systemu.

Najważniejsze z nich to:

-C\

Glówny katalog i jednocześnie symbol oznaczający twój twardy dysk.

To tutaj znajdują się wszystkie inne katalogi, podkatalogi, oraz pliki.

-PROGRAM FILES\

W tym katalogu instaluje się większość windowsowych aplikacji oraz ich dane.

-WINDOWS\

Glówny katalog systemu Windows przechowujący dane i informacje niezbędne do uruchomienia 'okienek'.

-SYSTEM\

Podkatalog systemu Windows w którym umieszczone są  tzw. biblioteki oraz sterowniki urządzeń, bez których system Windows nie mógłby działać.

Wyżej wymienione katalogi są nieodzownym składnikiem systemu i tutaj występuje najwięcej zmian.

Uwaga:

Program IvoWatch zapamiętuje tylko pliki i podkatalogi z

zadanego katalogu. Informacje zawarte w podkatalogach nie

są brane pod uwagę.


KATALOGI WŁASNE

Są to katalogi zdefiniowane przez użytkownika.

Można wyznaczyć do dziesięciu dowolnych katalogów, których zawartość będzie sprawdzana.

Katalogi te można dodać poprzez menu 'Opcje'.

Uwaga:

Program IvoWatch zapamiętuje tylko pliki i podkatalogi z

zadanego katalogu. Informacje zawarte w podkatalogach nie

są brane pod uwagę.


Skroty
SKRÓTY DO PROGRAMÓW

Są to odnośniki służące do szybkiego uruchamiania innych programów.

Mogą występować w postaci rozwijanego menu dostępnego po naciśnięciu przycisku 'Start'(Menu Start), lub jako ikony umieszczone na ekranie(Pulpit).


Plik
MENU PLIK

OTWÓRZ

Otwarcie pliku według którego dokonane zostanie porównanie. Możesz posiadać więcej niż jeden plik z zapamiętanymi konfiguracjami z różnych okresów i w zależności od potrzeby wybrać ten który cię interesuje.

USUŃ

Usuwa plik tekstowy wybranego raportu.

OPCJE

Opcje Programu

Katalogi: Jeśli system Windows jest zainstalowany w innym katalogu niż domyślny lub twój twardy dysk ma inne oznaczenie niż 'C:', musisz wpisać w tych miejscach odpowiednie ścierzki dostępu.

Pliki Raportów: Nazwy plików pod jakimi będą przechowywane raporty.

Opcje Raportu: Ustalasz czy chcesz aby raporty były wcześniej doczytywane i samoczynnie zapisywane po stworzeniu.

Katalogi Własne

Tutaj możesz wybrać do dziesięciu dowolnie wybranych katalogów które powinny być pod kontrolą programu IvoWatch.


Konfiguracja
MENU KONFIGURACJA

Zapamiętaj

Zapamiętuje i zapisuje do pliku stan twojej konfiguracji według której dokonywane będzie porównanie.

Porównaj

Dokonuje porównania stanu aktualnego ze stanem który został zapamiętany. Jakie zmiany zostały wykryte możesz dowiedzieć się na stronie 'Raport'.


Pomoc
MENU POMOC

Tutaj uzyskasz dostęp do tego dokumentu.